Skip to navigation

Update an intent

Updates an existing intent associated with an enrolled account. This API supports a multi-step flow when additional authentication is required:

  • The initial request submits updated intent details for validation and risk assessment.
  • If step-up authentication is required, a follow-up request must be made with the intent identifier and step-up verification details.

Intent updates are limited to supported parameters such as maximum amount and expiration. To modify other attributes, the existing intent must be cancelled and a new intent created.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

intentIdstringRequired
Intent identifier

Headers

AuthorizationstringRequired

The OAuth authorization header generated as prescribed in the Oauth 2.0 guide

trackingIdstringRequired
A unique identifier for request tracking.
agentIdstringRequired
Agent's unique identifier.

Request

Request to update an existing intent associated with an enrolled account. The request payload is JWE-encrypted on the wire.

The initial request for update (before step-up verification)objectRequired
OR
The follow-up request after completing step-up verification.objectRequired

Response

Successful response
The response returned when additional authentication is required to proceed with the intent.object
The response returned when additional authentication is required to proceed with the intent.
OR
The response returned after successful step-up authentication for the intent.object

The response returned after successful step-up authentication for the intent.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error